// ShipOrderBean.java - Ship Order Message Driven Bean

package asg.jms;

import java.io.*;
import java.util.*;
import java.rmi.*;
import javax.ejb.*;
import javax.naming.*;
import javax.jms.*;
import javax.rmi.PortableRemoteObject;
import asg.services.CustomerSession.*;

public class ShipOrderBean implements 
		MessageDrivenBean, MessageListener {

	private CustomerSession customer;
	private MessageDrivenContext messageContext;

	public void 
	setMessageDrivenContext(MessageDrivenContext mdc) {
		messageContext = mdc;
	}

	public void ejbCreate() {
		try {
			InitialContext jndi = new InitialContext();
			Object objref = jndi.lookup("java:comp/env/ejb/CustomerSession");

			// Get Customer EJB home interface object
			CustomerSessionHome home = 
				(CustomerSessionHome)PortableRemoteObject.narrow(objref, 
							  CustomerSessionHome.class);

			customer = home.create();		// create Customer EJB
		} catch (Exception ex) {
			throw new EJBException(ex);
		}
	}

	public void ejbRemove() { }

	public void onMessage(Message message) {
		try {
			ObjectMessage msg = (ObjectMessage)message;
			Calendar shipDate = (Calendar)msg.getObject();

			System.out.println("MDB received message");
			System.out.println("\t" + shipDate.getTime());
			
			// call shipOrdersByDate() in Customer EJB
			customer.shipOrdersByDate(shipDate);
			System.out.println("Shipped Orders.");

		} catch (Exception ex) {
			throw new EJBException(ex);
		}
	}
}
