<%--
	submitOrder.jsp 
--%>

<%--
	Use a page directive to import needed classes and 
	packages for compilation.  Specify "error.jsp" 
	as the page's errorPage.
--%>

<%@ page import="asg.services.CustomerSession.*, asg.services.MusicCartEJB.*, asg.services.MusicEJB.*, asg.domain.OrderLocalHome,asg.services.CustomerSession.*, java.util.*,javax.ejb.CreateException, javax.ejb.EJBException, javax.naming.Context, javax.naming.InitialContext, javax.rmi.PortableRemoteObject" errorPage="error.jsp" %>

<%! 
	CustomerSession mysession = null;
	
	public void jspInit() {
		try {
			Context initial = new InitialContext();
			Object objref = initial.lookup(
					"java:comp/env/ejb/CustomerSession");
			CustomerSessionHome home = (CustomerSessionHome)
					PortableRemoteObject.narrow(
					objref, CustomerSessionHome.class);
			mysession = home.create();
		} catch (Exception ex) {
			System.out.println("Unexpected Exception: " +
					ex.getMessage());
		}
	}
%>

<%--
	Declare and initialize variables.  
--%>

<%
	ArrayList shoppingList;
	String errorString = null;
	String requestURI = 
		(String)session.getValue("musicURL"); 
	MusicCart cart = 
		(MusicCart)session.getValue("musicCart");
%>

<html>
<head>
<title>Music Collection Database Submit Orders Page</title>
</head>
<body bgcolor=white>
<center>
<h1>Submit Orders Page</h1>
<hr>
<p>
<table bgcolor="#e0e0e0" border=2 cellpadding=5>
<tr>
<th>Current Shopping List for <%= cart.getCustomer().getName() %></th>
</tr>
<%
	// Use a combination of scriptlet code,
	// html and JSP expressions to build the table
	shoppingList = cart.getShoppingList();
	Iterator i = shoppingList.iterator();
	while (i.hasNext()) {
		RecordingVO r = (RecordingVO)i.next();
%>
		<tr><td> <%= r.getTitle() %></td></tr>
<%
	}
%>
</table>
<p>
Thank you <%= cart.getCustomer().getName() %> for your order!
<%
	// for right now, every item costs $10.00

	if (shoppingList.size() > 0) {
		try {
			
			OrderVO order = new OrderVO(shoppingList.size() * 10.0,
				OrderLocalHome.InProcess, new GregorianCalendar(),
				new GregorianCalendar(), 
				cart.getCustomer().getName(),
				mysession.buildItems(shoppingList));
			
			mysession.createOrder(order);
			// clear the shopping list
			cart.clearShoppingList();
		
		} catch (Exception ex) {
			errorString = ex.getMessage();
		}  // end catch handler
	} 
	else {
		errorString = "Shopping cart is empty.";
	}
	if (errorString != null) {

%>

<p STYLE="background:#e0e0e0;color:red;
font-weight:bold;border:double thin;padding:5">
There was a problem submitting your order.
<%= errorString %>
</font>

<%
	}
%>

<br><br><a href="<%= requestURI %>">Continue Shopping</a>
</body></html>
