// CustomerDAO.java

package asg.domain;

import java.util.Collection;
import javax.ejb.CreateException;

// Abstract class for Customer Data Access Object

public interface CustomerDAO {
	// generate primary key
	public String dbGetKey();

	// insert new CustomerModel data in database
	public void dbInsertCustomer(CustomerModel data)
		throws CreateException;

	// find specified primary key
	public boolean dbSelectByPrimaryKey(String primaryKey) 
		throws CustomerDAOSysException;

	// the following 'dbSelect' methods
	// return a collection of primary keys
	public Collection dbSelectByCustomerName(String name) 
		throws CustomerDAOSysException;
	public Collection dbSelectAll() 
		throws CustomerDAOSysException;

	// load CustomerModel data from database
	public CustomerModel dbLoadCustomer(String primaryKey) 
		throws CustomerDAOSysException;

	// store CustomerModel data to database
	public void dbStoreCustomer(CustomerModel data) 
		throws CustomerDAOSysException;

	// delete data corresponding to primary key from database
	public void dbRemoveCustomer(String primaryKey) 
		throws CustomerDAOSysException;

	// database access method required by home method
	public int dbCountTotalCustomers() 
		throws CustomerDAOSysException;
}
