// CustomerHome.java

package asg.domain;

import java.util.Collection;
import javax.ejb.*;
import java.rmi.RemoteException;

public interface CustomerHome extends EJBHome {
	
	// Create method
	public Customer create(String name, String password,
		String email) throws RemoteException, CreateException;
	
	// Finder methods
	// A primary key is always unique for all
	// Customer EJBs
	public Customer findByPrimaryKey(String customerID)
		throws RemoteException, FinderException;

	// Return all Customer EJBs with specified name
	// Although this returns a Collection, name should
	// be unique
	public Collection findByCustomerName(String name)
		throws RemoteException, FinderException;
	
	// Return all Customer EJBs in the database
	public Collection findAll()
		throws RemoteException, FinderException;
	
	// Home methods
	// Return the number of Customers in the database
	public int getTotalCustomers()
		throws RemoteException;
}
