// MyKeyGen.java

package asg.domain;

import java.security.SecureRandom;
import java.net.InetAddress;

public class MyKeyGen {

	private static MyKeyGen _instance = null;
	private SecureRandom mySeed;
	private String middleValue;

	public static MyKeyGen getInstance() {
		if (_instance == null) {
			_instance = new MyKeyGen();
		}
		return _instance;
	}

	public String getNextKey() {
		long currentTime = System.currentTimeMillis();
		int lowOrder = (int) currentTime & 0xffffffff;

		int randomNum = mySeed.nextInt();

		System.out.println ("New ID: " + 
			hexFormat(lowOrder, 8) + middleValue + hexFormat(randomNum, 8));
		return (hexFormat(lowOrder, 8) + middleValue + hexFormat(randomNum, 8));
	}

	protected MyKeyGen() {
		try {

			// get the IP address of this machine
			InetAddress inet = InetAddress.getLocalHost();
			byte[] bytes = inet.getAddress();
			String hexInetAddress = getHexString(bytes);

			// get the hashcode for this instance
			String myHashCode = hexFormat(System.identityHashCode(this), 8);
			middleValue = hexInetAddress + myHashCode;

			// initialize the randomizer
			mySeed = new SecureRandom();


		} catch (Exception ex) {
			System.out.println("MyKeyGen(): " + ex.getMessage());
		}
		System.out.println("Singleton MyKeyGen instantiated.");
	}

	private static String padding = "00000000";

	private String hexFormat(int num, int len) {
		String hexString = Integer.toHexString(num);
		int strLen = hexString.length();
		if (strLen > len) {
			hexString = hexString.substring(strLen-len, strLen);
		}
		else if (strLen < len) {
			hexString = padding.substring(0, len-strLen) + hexString;
		}
		return hexString.toUpperCase();
	}

	private String getHexString(byte[] myBytes) {
		String hexString = "";
		for (int i = 0; i < myBytes.length; i++) {
			hexString = hexString + hexFormat(myBytes[i] & 0xff, 2);
		}
		return hexString;
	}
}
