<%--
	shoppingPost.jsp 
	Copyright 2001-2003 Gail and Paul Anderson
	All Rights Reserved
--%>

<%--
	Use a page directive to import needed classes and 
	packages for compilation.  Specify "error.jsp" 
	as the page's errorPage.
--%>

<%@ page import="asg.services.MusicCartEJB.*, asg.services.MusicEJB.*, java.util.*, javax.naming.Context, javax.naming.InitialContext, javax.rmi.PortableRemoteObject" errorPage="error.jsp" %>

<%--
	Declare and initialize variables.  
--%>

<%
	ArrayList tracks;
	ArrayList shoppingList;
	String requestURI = 
		(String)session.getValue("musicURL"); 
	MusicIterator mymusic = 
		(MusicIterator)session.getValue("mymusic");
	MusicCart cart = 
		(MusicCart)session.getValue("musicCart");
	ArrayList albums = 
		(ArrayList)session.getValue("albums");
	String currentTitle = request.getParameter("title");
	session.putValue("curTitle", currentTitle);
%>
<html>
<head>
<title><%= currentTitle %></title>
</head>
<body bgcolor=white>
<center>
<h1>Music Collection Database Using EJB & JSP</h1>
<hr>
<p>
<%
	// Access the albums ArrayList to find the RecordingVO
	// object with the selected title.
	RecordingVO r = null;
	Iterator i = albums.iterator();
	boolean found = false;
	while (i.hasNext()) {
		r = (RecordingVO)i.next();
		if (r.getTitle().equals(currentTitle)) {
			found = true;
			break;
		}
	}

	if (found) {			// found title
		String command = request.getParameter("View");
		if (command != null) {	// command is View
			tracks = mymusic.getTrackList(r);
%>
	<p>
	Processing <%= command %> for <%= currentTitle %>
	<p>
	<table bgcolor="#e0e0e0" border=2 cellpadding=5>
	<tr>
	<th>Track Number</th>
	<th>Track Length</th>
	<th>Track Title</th>
	</tr>
<%
			// Use a combination of scriptlet code,
			// html and JSP expressions to build the table
			TrackVO t;
			i = tracks.iterator();
			while (i.hasNext()) {
				t = (TrackVO)i.next();
%>
	<tr>
	<td> <%= t.getTrackNumber() %></td>
	<td> <%= t.getTrackLength() %></td>
	<td> <%= t.getTitle() %></td>
	</tr>
<%
			}
		out.println("</table>");
		}
		else {
			command = request.getParameter("Add");
			if (command != null) { // command is Add
				cart.addRecording(r);
			}
			else {
				command = request.getParameter("Delete");
				if (command != null) { // command is Delete
					try {
						cart.removeRecording(r);
					} catch(ShoppingException ex) {
%>
<p>
Shopping Error
<hr>
<p>
<p STYLE="background:#bfbfbf;color:red;
font-weight:bold;border:double thin;padding:5">
Title <%= currentTitle %> is not currently in your shopping cart.
</font>
<%
					} // end catch handler
				}
			}
			// put displaylist code here
%>
		<p>
		Processing <%= command %> for <%= currentTitle %>
		<p>
		<table bgcolor="#e0e0e0" border=2 cellpadding=5>
		<tr>
		<th>Current Shopping List</th>
		</tr>
<%
			// Use a combination of scriptlet code,
			// html and JSP expressions to build the table
			shoppingList = cart.getShoppingList();
			i = shoppingList.iterator();
			while (i.hasNext()) {
				r = (RecordingVO)i.next();
%>
				<tr><td> <%= r.getTitle() %></td></tr>
<%
			}
			out.println("</table>");
		}
	}
	else {
		out.println("No tracks for " + currentTitle + " found.<br>");
	}
%>
</table>
<br><br><a href="<%= requestURI %>">Return to Main Page</a>
</body>
</html>
