<%--
	signUpPost.jsp 
	Copyright 2001-2003 Gail and Paul Anderson
	All Rights Reserved
--%>

<%--
	JSP Web component to process new Customer
	information.
	Make sure user has supplied a value for
	each field.
--%>

<%@ page import="asg.services.CustomerSession.*, java.util.*, javax.ejb.CreateException, javax.naming.Context, javax.naming.InitialContext, javax.rmi.PortableRemoteObject" errorPage="error.jsp" %>

<%! 
	CustomerSession mysession = null;
	
	public void jspInit() {
		try {
			Context initial = new InitialContext();
			Object objref = initial.lookup(
					"java:comp/env/ejb/CustomerSession");
			System.out.println("lookup success for ejb/CustomerSession");
			CustomerSessionHome home = (CustomerSessionHome)
					PortableRemoteObject.narrow(
					objref, CustomerSessionHome.class);
			System.out.println("created CustomerSessionHome object");
			mysession = home.create();
		} catch (Exception ex) {
			System.out.println("Unexpected Exception: " +
					ex.getMessage());
		}
	}
%>

<%
	CustomerVO customer = null;
%>
<html>
<title>Process New Customer Information</title>
<body bgcolor=white>
<center>
<%
	String requestURI = 
		(String)session.getValue("signUpURL"); 

	// Get name and password values provided by user
	String name = (String)request.getParameter("name");
	String password = 
		(String)request.getParameter("password");
	String password2 = 
		(String)request.getParameter("password_2");
	String email = (String)request.getParameter("email");

	// Check to make sure no fields are empty
	String errorString = null;
	if (name.equals("") 
		|| password.equals("") || email.equals("")) 
	{
		errorString = "You have left a field empty. " +
			"You must provide a Name, " +
			"a Password, and an Email address.";
	}
	else if (!password.equals(password2)) {
		errorString = "The passwords you provided were not the same. " +
			"Please try again.";
	}
	else {
		try {
			customer = new CustomerVO(name, password, email);
			mysession.createCustomer(customer);
			session.putValue("customer", name);
			String newCustomer = "new";
			session.putValue("newCustomer", newCustomer);
%>
<h1>Login Successful</h1>
<p>
<h2>Welcome <%= customer.getName() %> </h2>
<hr>
<p>
<br><br><a href="musicCart.jsp">Enter Music Collection Site</a>
<%
		} catch (Exception ex) {
			errorString = ex.getMessage();
		}
	}
	if (errorString != null) {

		// We use html formatting tags to create an error box
		// with red lettering so that it will stand out.

%>
<h1>Customer Information Error</h1>
<hr>
<p>
<p STYLE="background:#bfbfbf;color:red;
font-weight:bold;border:double thin;padding:5">
<%= errorString %>
</font>
<br><br><a href="<%= requestURI %>">
	Return to Sign Up Page</a>
<%
	} 
%>
</body></html>
