// LoanVO.java

package asg.LoanEJB;

import java.util.*;

public class LoanVO implements java.io.Serializable
{
	private double amount;			// in dollars
	private double rate;				// percent
	private int years;
	private Calendar startDate;

	public LoanVO (
		double amount,
		double rate,
		int years,
		Calendar startDate) {
			setAmount(amount);
			setRate(rate);
			setYears(years);
			setStartDate(startDate);
	}

	public LoanVO (
		double amount,
		double rate,
		int years) {
			setAmount(amount);
			setRate(rate);
			setYears(years);
			// use today since no date provided
			this.startDate = (GregorianCalendar)new GregorianCalendar();
	}

	// getters
	public double getAmount() { return amount; }
	public double getRate() { return rate; }
	public int getYears() { return years; }
	public Calendar getStartDate() { return (Calendar)startDate.clone(); }

	// setters
	public void setAmount(double a) { amount = a; }
	public void setRate(double r) { rate = r; }
	public void setYears(int y) { years = y; }
	public void setStartDate(Calendar d) { 
		startDate = (GregorianCalendar)new GregorianCalendar(
			d.get(Calendar.YEAR),
			d.get(Calendar.MONTH),
			d.get(Calendar.DATE)); }

} // LoanVO
