<%--
 paymentGet.jsp 
 Copyright 2001-2003 Gail and Paul Anderson
 All Rights Reserved
--%>

<%--
	The following scriptlet assigns the current URL to String
	requestURI and then stores this object into the implicit
	session object.
	We then attempt to assign to variables 
	s_amount, s_rate, and s_term values stored previously 
	in the session object. 
	Obviously, the first time the user executes this page, 
	these values will be null. 
	To avoid null String runtime errors, we 
	assign the empty String "" to them if they're indeed null. 

	We use this mechanism to save the user's input data. 
	Then the user only has to provide input 
	for those parameters he or she wants to 
	change for subsequent calculation requests.
--%>

<%
	String requestURI = request.getRequestURI();
	session.putValue("url", requestURI);
	String s_amount = (String)session.getValue("amount");
	String s_rate = (String)session.getValue("rate");
	String s_term = (String)session.getValue("term");
	if (s_amount == null) s_amount = "";
	if (s_rate == null) s_rate = "";
	if (s_term == null) s_term = "";
%>
<html>
<head>
    <title>Monthly Payment Calculator</title>
</head>

<%--
<body bgcolor=white>
--%>
<body bgcolor=#63bdb5>
<h1><b><center>Monthly Payment Calculator</center></b></h1>
<hr>
<p>
Please supply the following details:
<p>

<%--
	The HTML tag <form> allows us to request user input 
	and provide this data to the URL named in the action argument: 
	paymentPost.jsp. 
	The form's elements include textual input 
	to specify the loan amount, 
	textual input to specify the rate, 
	and a select element that requests 
	one of three term lengths, 15, 20, or 30 years. 
	We use JSP expressions to provide default values 
	for the amount and rate form input elements. 
--%>

<form method="post" action="paymentPost.jsp">
Loan Amount: $ 
<input type="text" name="amount" value="<%= s_amount %>" size="15">
<br>
Interest Rate: 
<input type="text" name="rate" value="<%= s_rate %>" size="10"> %
<br>
Loan Term: 
<select name="term">

<%--
	The following scriptlet checks the value of s_term
	to determine the default value for the select element.
--%>

<%
		if (s_term.equals("30")) 
			out.println("<option selected value=\"30\">30");
		else
			out.println("<option value=\"30\">30");
		if (s_term.equals("20")) 
			out.println("<option selected value=\"20\">20");
		else
			out.println("<option value=\"20\">20");
		if (s_term.equals("15")) 
			out.println("<option selected value=\"15\">15");
		else
			out.println("<option value=\"15\">15");
%>
</select> Years
<p>

<%--
	The user clicks the "Calculate" button 
	to submit the input data to the JSP named 
	in the form tag action argument. 
	Clicking the "Reset" button returns 
	the input values to their default settings.
--%>

<input type="submit" value="Calculate">
<input type="reset" value="Reset">
</form>
</body>
</html>
