<%--
	musicPost.jsp 
	Copyright 2001-2003 Gail and Paul Anderson
	All Rights Reserved
--%>

<%--
	JSP Web component to display the track information for the selected
	recording passed in the session object.  
	We obtain the track information by calling the Music EJB's
	getTrackList() business method.
--%>

<%--
	Use a page directive to import needed classes and packages for
	compilation.  Specify "error.jsp" as the page's errorPage.
--%>

<%@ page import="asg.MusicEJB.*, java.util.*, javax.naming.Context, javax.naming.InitialContext, javax.rmi.PortableRemoteObject" errorPage="error.jsp" %>

<%--
	Declare the class variables.  
--%>

<%! 
	Music mymusic;
	ArrayList albums;
%>

<%--
	The following scriptlet accesses the session
	object to assign values to requestURI, mymusic,
	and albums.  It obtains the user selected title
	from the request object and stores it into the
	session object to be used by the request page
	as the new default.
--%>

<%
	ArrayList tracks;
	String requestURI = (String)session.getValue("url"); 
	mymusic = (Music)session.getValue("mymusic");
	albums = (ArrayList)session.getValue("albums");
	String currentTitle = request.getParameter("TITLE");
	session.putValue("curTitle", currentTitle);
%>
<html>
<head>
<title><%= currentTitle %>  View Tracks</title>
</head>
<body bgcolor=white>
<h1><b><center>Music Collection Database Using EJB & JSP</center></b></h1>
<hr>
<p>
<%
	// Access the albums ArrayList to find the RecordingVO
	// object with the selected title.
	RecordingVO r = null;
	Iterator i = albums.iterator();
	boolean found = false;
	while (i.hasNext()) {
		r = (RecordingVO)i.next();
		if (r.getTitle().equals(currentTitle)) {
			found = true;
			break;
		}
	}

	if (found) {			// found title
		// Access the MusicEJB to read the Music Collection
		// database and get the track list for the
		// selected recording
		tracks = mymusic.getTrackList(r);
%>

<%--
	Set up an html table to hold the data.
--%>

		<table border=2 cellpadding=5 bgcolor=#e0e0e0>
		<caption><h2>
		<%= "Tracks for " + currentTitle %>
		</h2></caption>
		<tr>
		<th>Track Number</th>
		<th>Track Length</th>
		<th>Track Title</th>
		</tr>
<%
		// Use a combination of scriptlet code,
		// html and JSP expressions to build the table
		TrackVO t;
		i = tracks.iterator();
		while (i.hasNext()) {
			t = (TrackVO)i.next();
%>
			<tr>
			<td> <%= t.getTrackNumber() %></td>
			<td> <%= t.getTrackLength() %></td>
			<td> <%= t.getTitle() %></td>
			</tr>
<%
		}
		out.println("</table>");
	}
	else {
		out.println("No tracks for " + currentTitle + " found.<br>");
	}
%>

<%--
	Provide a dynamic link to the request page so
	the user can request another track list to display.
--%>

<br><br><a href="<%= requestURI %>">Return to Main Page</a>
</body>
</html>
