// IterApp.java
import javax.rmi.PortableRemoteObject;
import javax.ejb.*;
import javax.naming.*;
import java.util.*;
import asg.MusicEJB.*;

public class IterApp {

	public static void main(String[] args) {


		try {
			Context initial = new InitialContext();
			Object objref = initial.lookup("java:comp/env/ejb/MusicIterator");
			System.out.println("lookup successful");
			MusicIteratorHome iterHome = (MusicIteratorHome)PortableRemoteObject.narrow(
					objref, MusicIteratorHome.class);
			System.out.println("narrow successful");
			MusicIterator iterBean = iterHome.create();
			System.out.println("create successful");
			int arraySize = iterBean.getSize();
			System.out.println("Read Database, size = " + arraySize);
			iterBean.setPageSize(3);
			System.out.println("set page size to 3 ");

			while (iterBean.hasMoreElements()) {
				ArrayList data = iterBean.nextPage();
				System.out.println("nextPage() successful");
				Iterator i = data.iterator();
				while (i.hasNext()) {
					RecordingVO r = (RecordingVO)i.next();
					System.out.println("Title = " + r.getTitle());
				}
			}
			while (iterBean.hasPreviousElements()) {
				ArrayList data = iterBean.previousPage();
				System.out.println("nextPage() successful");
				Iterator i = data.iterator();
				while (i.hasNext()) {
					RecordingVO r = (RecordingVO)i.next();
					System.out.println("Title = " + r.getTitle());
				}
			}

		} catch (Exception ex) {
			System.out.println("Exception occurred: " + ex.getMessage());
		}
	}
} // IterApp 
